extends Polygon2D

signal finished

func fade_in():
	$AnimationPlayer.play("fade_in")
	yield($AnimationPlayer,"animation_finished")
	emit_signal("finished")
	
func fade_out():
	$AnimationPlayer.play("fade_out")
	yield($AnimationPlayer,"animation_finished")
	emit_signal("finished")
